CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-6504

Unspecified vulnerability in Oracle Java SE 5.0u71, 6u81, and 7u67, and Java SE Embedded 7u60, allows remote attackers to affect confidentiality via unknown vectors related to Hotspot.
Publish Date : 2014-10-15 Last Update Date : 2015-02-20
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DSA-3077-1 -- openjdk-6 security update oval:org.mitre.oval:def:28236 unix
DSA-3080-1 -- openjdk-7 security update oval:org.mitre.oval:def:28342 unix
ELSA-2014-1620 -- java-1.7.0-openjdk security and bug fix update oval:org.mitre.oval:def:26716 unix
ELSA-2014-1633 -- java-1.7.0-openjdk security and bug fix update oval:org.mitre.oval:def:26796 unix
ELSA-2014-1634 -- java-1.6.0-openjdk security and bug fix update oval:org.mitre.oval:def:26179 unix
ELSA-2014-1636 -- java-1.8.0-openjdk security update (important) oval:org.mitre.oval:def:27224 unix
JRE and JDK Vulnerability on HPUX oval:org.mitre.oval:def:28746 unix
RHSA-2014:1620: java-1.7.0-openjdk security and bug fix update (Important) oval:com.redhat.rhsa:def:20141620 unix
RHSA-2014:1620: java-1.7.0-openjdk security and bug fix update (Important) oval:org.mitre.oval:def:27150 unix
RHSA-2014:1633: java-1.7.0-openjdk security and bug fix update (Important) oval:org.mitre.oval:def:27144 unix
RHSA-2014:1633: java-1.7.0-openjdk security and bug fix update (Important) oval:com.redhat.rhsa:def:20141633 unix
RHSA-2014:1634: java-1.6.0-openjdk security and bug fix update (Important) oval:com.redhat.rhsa:def:20141634 unix
RHSA-2014:1634: java-1.6.0-openjdk security and bug fix update (Important) oval:org.mitre.oval:def:27157 unix
RHSA-2014:1636: java-1.8.0-openjdk security update (Important) oval:com.redhat.rhsa:def:20141636 unix
RHSA-2014:1636: java-1.8.0-openjdk security update (Important) oval:org.mitre.oval:def:26947 unix
RHSA-2014:1657: java-1.7.0-oracle security update (Critical) oval:org.mitre.oval:def:26915 unix
RHSA-2014:1657: java-1.7.0-oracle security update (Critical) oval:com.redhat.rhsa:def:20141657 unix
RHSA-2014:1658: java-1.6.0-sun security update (Important) oval:org.mitre.oval:def:27068 unix
RHSA-2014:1658: java-1.6.0-sun security update (Important) oval:com.redhat.rhsa:def:20141658 unix
SUSE-SU-2014:1392-1 -- Security update for Java OpenJDK (moderate) oval:org.mitre.oval:def:28277 unix
SUSE-SU-2014:1422-1 -- Security update for java-1_7_0-openjdk (important) oval:org.mitre.oval:def:28325 unix
USN-2386-1 -- OpenJDK 6 vulnerabilities oval:org.mitre.oval:def:27128 unix
USN-2388-1 -- OpenJDK 7 vulnerabilities oval:org.mitre.oval:def:27170 unix
USN-2388-2 -- OpenJDK 7 vulnerabilities oval:org.mitre.oval:def:27028 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-6504

# Product Type Vendor Product Version Update Edition Language
1 Application Oracle JDK 1.5.0 Update 71 Version Details Vulnerabilities
2 Application Oracle JDK 1.6.0 Update 81 Version Details Vulnerabilities
3 Application Oracle JDK 1.7.0 Update 60 Version Details Vulnerabilities
4 Application Oracle JDK 1.7.0 Update 67 Version Details Vulnerabilities
5 Application Oracle JRE 1.5.0 Update 71 Version Details Vulnerabilities
6 Application Oracle JRE 1.6.0 Update 81 Version Details Vulnerabilities
7 Application Oracle JRE 1.7.0 Update 60 Version Details Vulnerabilities
8 Application Oracle JRE 1.7.0 Update 67 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Oracle JDK 4
Oracle JRE 4

- References For CVE-2014-6504

http://security.gentoo.org/glsa/glsa-201502-12.xml
GENTOO GLSA-201502-12
http://rhn.redhat.com/errata/RHSA-2014-1658.html
REDHAT RHSA-2014:1658
http://rhn.redhat.com/errata/RHSA-2014-1657.html
REDHAT RHSA-2014:1657
http://rhn.redhat.com/errata/RHSA-2014-1636.html
REDHAT RHSA-2014:1636
http://linux.oracle.com/errata/ELSA-2014-1633.html CONFIRM
http://www.ubuntu.com/usn/USN-2388-1
UBUNTU USN-2388-1
http://www.ubuntu.com/usn/USN-2386-1
UBUNTU USN-2386-1
http://www.securityfocus.com/bid/70564
BID 70564 Oracle Java SE CVE-2014-6504 Remote Security Vulnerability Release Date:2017-01-17
http://linux.oracle.com/errata/ELSA-2014-1636 CONFIRM
http://marc.info/?l=bugtraq&m=141775382904016&w=2
HP SSRT101770
http://lists.opensuse.org/opensuse-security-announce/2014-11/msg00013.html
SUSE SUSE-SU-2014:1422
http://www.oracle.com/technetwork/topics/security/cpuoct2014-1972960.html CONFIRM
http://rhn.redhat.com/errata/RHSA-2014-1620.html
REDHAT RHSA-2014:1620
http://rhn.redhat.com/errata/RHSA-2014-1634.html
REDHAT RHSA-2014:1634
http://www.ubuntu.com/usn/USN-2388-2
UBUNTU USN-2388-2
http://rhn.redhat.com/errata/RHSA-2014-1633.html
REDHAT RHSA-2014:1633
http://www.debian.org/security/2014/dsa-3077
DEBIAN DSA-3077
http://www.debian.org/security/2014/dsa-3080
DEBIAN DSA-3080
http://linux.oracle.com/errata/ELSA-2014-1634.html CONFIRM

- Metasploit Modules Related To CVE-2014-6504

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.